/** \mainpage 

\section sec_description Short description

This module implements a two step  algorithm for planning paths for a humanoid robot.
  \li The first step consists in computing collision-free path for the robot bounding box with a cart-like kinematics.
  \li In the second step a dynamically balanced walk motion is produced about the above path using a walk pattern generator (walkGenJRL).

\image html trajectory.png "Example of a trajectory produced by the two step algorithm. The robot bounding box is in pink, the obstacles are in blue."

*/
